@import "../../../../scss/variables.scss";
@import '../../../../../node_modules/bulma/sass/utilities/_all.sass';

.downloads-container {
  position: relative;
  height: 100%;
  min-height: 100vh;
  background-color: $grey-background-color;

  @media screen and (min-width: $tablet) {
    max-width: unset;
  }

}

.blury {
  filter: blur(4px);
  max-height: 100vh;
  overflow: hidden;
}

.downloads {
  display: flex;
  flex-direction: column;
  padding: 2rem 1.25rem 1.25rem 1.25rem;
  max-width: 100vw;
  justify-content: center;
  ;

  @media screen and (min-width: $tablet) {
    max-width: unset;
  }
}

.resources-downloadable {
  width: 100%;
}

@media screen and (min-width: $tablet) {

  .downloads {
    display: flex;
    flex-direction: row;
  }

  .resources-downloadable {
    width: 66%;
  }
}

.resource-download {
  margin-bottom: 1.5rem;
  background-color: white;
  padding: 1.7rem 2rem;
  box-shadow: 0 6px 12px 0 rgba(129, 128, 128, 0.1);
  border-radius: 8px;
  border-bottom: 2px solid $grey-background-color;
}

.resource-description {
  border-bottom: 2px solid #f2f2f2;
  padding-bottom: 1.5rem;

  span {
    font-weight: 600;
    line-height: 1;
    font-size: 1rem;
    word-break: break-all;
    
   
  }

  .link_description{
    font-size: smaller ;
    font-style: italic;
    font-weight: normal ;
  }
}

.resource-static {
  margin-bottom: 1.5rem;
  border-bottom: 2px solid $grey-background-color;
  background-color: white;
  padding: 1.7rem 2rem;
  box-shadow: 0 6px 12px 0 rgba(129, 128, 128, 0.1);
  border-radius: 8px;
}

.resource-static-files {
  padding-top: 0.5rem;
  padding-bottom: 0.5rem;
}

.resource-header-title {
  text-transform: uppercase;
}

.resources-other {
  margin-bottom: 1.5rem;
  border-bottom: 2px solid $grey-background-color;
  background-color: white;
  padding: 1.7rem 2rem;
  box-shadow: 0 6px 12px 0 rgba(129, 128, 128, 0.1);
  border-radius: 8px;

  a {
    word-break: break-all;
  }

  @media screen and (min-width: $tablet) {
    width: 33%;
    margin-top: 0;
    box-shadow: 0 6px 12px 0 rgba(129, 128, 128, 0.1);
    border-radius: 8px;
    align-self: flex-start;
    margin-left: 1rem;
  }
}

.resource-other-title {
  margin-top: 1rem;
  margin-bottom: 0.25rem;
  font-weight: 600;
  font-size: 1rem;
}

.resource-other-link {
  a {
    font-size: 0.875rem;
  }
}

.resource-header-icon {
  height: 2.25rem;
  width: 2.25rem;
  background-color: $grey-super-light-color;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 4px;

  svg {
    height: 1.125rem;
    fill: white;
  }
}

.resource-download-item-wrapper,
.resource-static-files {
  border-bottom: 1px solid #f2f2f2;
}

.resource-downloadable-files:last-of-type .resource-download-item-wrapper:last-of-type,
.resource-static-files:last-of-type {
  border-bottom: none;
}

::ng-deep .downloads-container {
  .modal {
    overflow-y: auto;
  }

  .modal-card {
    @media screen and (min-width: $tablet) {
      margin-top: 1rem !important;
    }
  }

  .modal-background {
    height: 100vh;
  }
}
